UNION HDMI_INFOFRAME(9)

NAME
union_hdmi_infoframe - overall union of all abstract infoframe representations

SYNOPSIS

union hdmi_infoframe {
  struct hdmi_any_infoframe any;
  struct hdmi_avi_infoframe avi;
  struct hdmi_spd_infoframe spd;
  union hdmi_vendor_any_infoframe vendor;
  struct hdmi_audio_infoframe audio;
};

MEMBERS

any
    generic infoframe

avi
    avi infoframe

spd
    spd infoframe

vendor
    union of all vendor infoframes

audio
    audio infoframe

DESCRIPTION

This is used by the generic pack function. This works since all infoframes have the same header which also indicates which type of infoframe should be packed.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT